Subject: Re: How to get bash to shut up about SIGPIPE?

From: Rene Scharfe <[email-masked]>
Date: Thu, 28 Apr 2005 21:03:21 +0200

Linus Torvalds schrieb:
> Right now my major gripe with cogito is "cg-log" (which is actually
> the only command I use right now, everything else I just do by hand
> with the raw git archive) is that bash is being an ass about SIGPIPE,
> and when I only look at the top part of the log, ie I do something
> like:
> 
> torvalds@ppc970:~/src/cogito> git log | head

I think you misspelled "cg-log". :-D

Doing "cg-log | head" gives me 10 lines of log and nothing else.  Maybe
the problem has been fixed between 0.7 and the current version I'm using
(commit ID 49612c471eebd26efe926a71752e254c1cdc382d)?

Rene